:root {
    --background: #eceff1;
    --accent-research: #2768bb;
    --accent-education: #fb9200;
}

body {
    background-color: var(--background);
}

strong.research {
    color: var(--accent-research);
}

strong.education {
    color: var(--accent-education);
}

.roles-box {
    margin: 2rem 0;
}

.roles-box .legend {
    margin-top: 1rem;
    font-size: 0.875rem;
    font-style: italic;
    text-align: right;
}

#treemap {
    position: relative;
    padding-bottom: 0.5rem;
}

.treemap-tile,
.treemap-tile:hover {
    background: transparent;
    color: var(--tile-accent);
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-weight: bold;
    border-radius: 0;
    border: 1px solid var(--tile-accent);
    overflow: hidden;
    padding: 0.75rem;
    cursor: pointer;
    transition: all 150ms ease;
    -webkit-hyphens: auto;
    hyphens: auto;
    line-height: 1.5;
}

.treemap-tile[data-category="research"] {
    --tile-accent: var(--accent-research);
}

.treemap-tile[data-category="education"] {
    --tile-accent: var(--accent-education);
}

.treemap-tile.is-active {
    background-color: var(--tile-accent);
    color: var(--background);
}

.treemap-tile.is-small {
    font-size: 0.85rem;
}

.treemap-tile.is-tiny {
    font-size: 0.7rem;
}

.role-description {
    margin-top: 2rem;
}